Ticket #36685

- v1.3.7 TweenMain.GetSelectedStatusIdsでArgumentOutOfRangeException

Open Date: 2016-10-07 21:43 Last Update: 2017-06-04 12:25

Reporter:
Owner:
Status:
Open [Owner assigned]
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
None
File:
None

Details

動作環境:
   オペレーティング システム: Microsoft Windows NT 6.1.7601 Service Pack 1
   共通言語ランタイム: 4.0.30319.18444
   OpenTween.exeのバージョン: 1.3.4.0
例外 System.ArgumentOutOfRangeException: インデックスが範囲を超えています。負でない値で、コレクションのサイズよりも小さくなければなりません。
パラメーター名:index
   場所 System.ThrowHelper.ThrowArgumentOutOfRangeException()
   場所 OpenTween.Models.TabModel.<GetStatusIdAt>b__83_0(Int32 x)
   場所 System.Linq.Enumerable.WhereSelectEnumerableIterator`2.MoveNext()
   場所 System.Linq.Buffer`1..ctor(IEnumerable`1 source)
   場所 System.Linq.Enumerable.ToArray[TSource](IEnumerable`1 source)
   場所 OpenTween.Models.TabModel.GetStatusIdAt(IEnumerable`1 indexes)
   場所 OpenTween.TweenMain.GetSelectedStatusIds(DetailsListView listView, TabModel tab)
   場所 OpenTween.TweenMain.SaveListViewSelection(DetailsListView listView, TabModel tab)
   場所 OpenTween.TweenMain.RefreshTimeline()
   場所 OpenTween.TweenMain.<tw_NewPostFromStream>b__514_0()
   場所 OpenTween.OTBaseForm.<>c__DisplayClass10_0.<InvokeAsync>b__0()
   場所 OpenTween.OTBaseForm.<>c__DisplayClass11_0`1.<InvokeAsync>b__0(Object _)
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   場所 System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   場所 OpenTween.TweenMain.<tw_NewPostFromStream>d__514.MoveNext()
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.CompilerServices.AsyncMethodBuilderCore.<ThrowAsync>b__1(Object state)
   場所 System.Threading.QueueUserWorkItemCallback.WaitCallback_Context(Object state)
   場所 System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   場所 System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   場所 System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem()
   場所 System.Threading.ThreadPoolWorkQueue.Dispatch()
   場所 System.Threading._ThreadPoolWaitCallback.PerformWaitCallback()

Ticket History (3/5 Histories)

2016-10-07 21:43 Updated by: upsilon
  • New Ticket "TabMode.GetStatusIdAtでArgumentOutOfRangeException" created
2017-01-18 22:29 Updated by: upsilon
  • Summary Updated
2017-02-25 12:15 Updated by: upsilon
  • Milestone Update from (None) to v1.3.7 (closed)
  • Owner Update from (None) to upsilon
2017-02-25 12:16 Updated by: upsilon
  • Ticket Close date is changed to 2017-02-25 12:16
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

下記コミットにて修正しました。v1.3.7 から反映されます。

https://osdn.net/projects/opentween/scm/git/open-tween/commits/b472a2046f8e32d8179613470b50e5a8f914def3

2017-06-04 12:25 Updated by: upsilon
  • Milestone Update from v1.3.7 (closed) to (None)
  • Status Update from Closed to Open
  • Resolution Update from Fixed to None
  • Summary Updated
Comment

v1.3.7 でも報告があったため再オープンします

動作環境:
   オペレーティング システム: Microsoft Windows NT 6.1.7601 Service Pack 1
   共通言語ランタイム: 4.0.30319.42000
   OpenTween.exeのバージョン: 1.3.7.0
例外 System.ArgumentOutOfRangeException: インデックスが範囲を超えています。負でない値で、コレクションのサイズよりも小さくなければなりません。
パラメーター名:index
   場所 System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   場所 OpenTween.Models.TabModel.<GetStatusIdAt>b__83_0(Int32 x)
   場所 System.Linq.Enumerable.WhereSelectEnumerableIterator`2.MoveNext()
   場所 System.Linq.Buffer`1..ctor(IEnumerable`1 source)
   場所 System.Linq.Enumerable.ToArray[TSource](IEnumerable`1 source)
   場所 OpenTween.Models.TabModel.GetStatusIdAt(IEnumerable`1 indexes)
   場所 OpenTween.TweenMain.GetSelectedStatusIds(DetailsListView listView, TabModel tab)
   場所 OpenTween.TweenMain.SaveListViewSelection(DetailsListView listView, TabModel tab)
   場所 OpenTween.TweenMain.SaveListViewSelection()
   場所 OpenTween.TweenMain.RefreshTimeline()
   場所 OpenTween.TweenMain.<GetListTimelineAsync>d__184.MoveNext()
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   場所 System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   場所 OpenTween.TweenMain.<TimerTimeline_Elapsed>d__134.MoveNext()
--- 直前に例外がスローされた場所からのスタック トレースの終わり ---
   場所 System.Runtime.CompilerServices.AsyncMethodBuilderCore.<>c.<ThrowAsync>b__6_0(Object state)

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login